use warnings;
use strict;
use Test::More;

use POWER::Utils qw( unquote_hash Cat );

my @exports
    = qw( unquote_hash Cat )
    ;
my @not_exports
    = qw( clock_monotonic run_callback RandCh Chomp Echo Eval
          Enc UnEnc EncUri UnEncUri System
          quote_list unquote_list )
    ;

plan +(@exports + @not_exports)
    ? ( tests       => @exports + @not_exports                  )
    : ( skip_all    => q{This module doesn't export anything}   )
    ;

for my $export (@exports) {
    can_ok( __PACKAGE__, $export );
}

for my $not_export (@not_exports) {
    ok( ! __PACKAGE__->can($not_export) );
}
