use warnings;
use strict;

use t::share;
use POWER::Utils qw( weak_cb );

@CheckPoint = (
    [ 'm1',                         ], 'obj exists, no args, no params',
    [ 'm1', 10,                     ], 'obj exists, no args, 1 param',
    [ 'm1', 10, 20,                 ], 'obj exists, no args, 2 params',
    [ 'm2', 10, 20,                 ], 'obj exists, 2 args, no params',
    [ 'm2', 10, 20, 30,             ], 'obj exists, 2 args, 1 param',
    [ 'm2', 10, 20, 30, 40,         ], 'obj exists, 2 args, 2 params',
);
plan tests => @CheckPoint/2;

sub m1 {
    shift;
    &checkpoint;
}
sub m2 {
    shift;
    &checkpoint;
}


my ($obj, $cb);

$obj = bless {};
$cb = weak_cb($obj, 'm1');
$cb->();
$cb->(10);
$cb->(10, 20);
$obj = undef;
$cb->();
$cb->(10);

$obj = bless {};
$cb = weak_cb($obj, 'm2', 10, 20);
$cb->();
$cb->(30);
$cb->(30, 40);
$obj = undef;
$cb->();
$cb->(30);

